What's wrong in my code
What's wrong in my code , i wanna after running this code draw an arc from specified point to other one .but when run the code start from previously pointHow can deactivate start from previously point to new one ???
(COMMAND "_PLINE" "" "A" "D") Just pick point 1st not tested
(DEFUN C:AR ( / pt)(setq pt (getpoint "\nPick start point"))(COMMAND "_PLINE" Pt "A" "D")) thanxxxxxxxxxx bigal that's okkkkkkkkkkk The empty string you used as first input is equivalent toand this will triger that behavior. To keep you code as one statement try:
(DEFUN C:AR ()(COMMAND "_PLINE" pause "A" "D")) Hosyn, if you intend to add other code after that polyline draw, just ensure that you don't leave AutoLISP interpreter:
(DEFUN C:AR ()(COMMAND "_PLINE" pause "A" "D") (while (> (getvar "CMDACTIVE") 0) (command pause))(prompt "Done!") ;this statement is reached) thnxxxxxxxxxxx to Msasu and Bigal greaaaaaaaaaaaat:D
And I have a another question about::: is that possible use above define command"AR" and call and run in another lisp file like that:
(defun c:aaa()(command"_INSERT" "b1")(command"_AR" ""))
If answer no , How we can call and run this command in new lisp file?? just change this
(command "_AR" "")to(c:ar) Thanxxxxxxxxxxxxxxxxxxxx again BIGAL ,appreciate.
页:
[1]